/*
    InMoDe is a collection of seven tools for learning, leveraging, and visualizing intra-motif dependencies within DNA binding sites and similar functional nucleotide sequences. 
    More information can be found at <http://jstacs.de/index.php/InMoDe>
    Copyright (C) 2017  Ralf Eggeling, Ivo Grosse, and Jan Grau
    
    InMoDe is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    InMoDe is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, see <http://www.gnu.org/licenses>.
*/
package de.jstacs.projects.inmode;

import de.jstacs.projects.inmode.tools.ClassificationApp;
import de.jstacs.projects.inmode.tools.DeNovoMoDe;
import de.jstacs.projects.inmode.tools.FlexibleMoDe;
import de.jstacs.projects.inmode.tools.MixtureMoDe;
import de.jstacs.projects.inmode.tools.ScanApp;
import de.jstacs.projects.inmode.tools.SimpleMoDe;
import de.jstacs.projects.inmode.tools.VisualizationApp;
import de.jstacs.tools.ui.cli.CLI;
/**
 * InMoDe command line interface
 * @author Ralf Eggeling
 *
 */
public class InMoDeCLI {

	public static void main(String[] args) throws Exception {
		
		SimpleMoDe train = new  SimpleMoDe();
		ScanApp scan = new  ScanApp();
		DeNovoMoDe denovo = new  DeNovoMoDe();
		MixtureMoDe mixture = new  MixtureMoDe();
		FlexibleMoDe flexible = new  FlexibleMoDe();
		ClassificationApp classify = new ClassificationApp();
		VisualizationApp visualization= new VisualizationApp();
		CLI cli = new CLI(train,denovo,mixture,flexible,scan,classify,visualization); 
		cli.run(args);

	}

}
