/*
    InMoDe is a collection of seven tools for learning, leveraging, and visualizing intra-motif dependencies within DNA binding sites and similar functional nucleotide sequences. 
    More information can be found at <http://jstacs.de/index.php/InMoDe>
    Copyright (C) 2017  Ralf Eggeling, Ivo Grosse, and Jan Grau
    
    InMoDe is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    InMoDe is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, see <http://www.gnu.org/licenses>.
*/
package de.jstacs.projects.inmode.utils;

/**
 * Contains functions related to the Normalized Maximum Likelihood (NML).  
 * @author Ralf Eggeling
 * 
 */

public class NML {
	
	/**
	 * Used for fsNML parameter estimation
	 * @param x any real number 
	 * @return ((x+1)/x)^x if x!=0, 1 otherwise
	 */
	public static double fsNMLeTerm(double x) {
		if(x==0) {
			return 1;
		} else {
			return Math.pow((x+1.0)/x,x);
		}
	}

}
